/* [data-component-id="mid:contacts"] {
   
} */

.contacts-block {
    position: relative;
    padding: var(--xxl) 0;
    margin-top: var(--gap-base);
}

/* .contacts-block::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(120deg, #ffffff, #ffffff);
    opacity: .7;
    z-index: 2;
} */

.contacts-block--wrapper {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 2fr;
    align-items: start;
    gap: var(--gap-base);
    border-radius: var(--base);
    /* background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(5px); */
    z-index: 99;
}

.contacts-block--left-form {
    background: var(--gray);
    border-radius: var(--border-radius-base);
    padding: var(--xl);
}

.contacts-block--header {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--lg);
}

.contacts-block--text-1 {
    display: flex;
    align-items: center;
    gap: var(--md);
    color: var(--gray-400);
    font-size: clamp(1.2rem, 2vw, 2.8rem);
    margin-bottom: var(--xxl);
}

.contacts-block--text-2 {
    position: relative;
    font-size: clamp(2rem, 2vw, 3rem);
    line-height: clamp(120%, 2vw, 140%);
}

.contacts-block--text-3 {
    position: relative;
    font-size: clamp(2rem, 2vw, 2.2rem);
    line-height: clamp(120%, 2vw, 140%);
    margin: var(--xl) 0;
    font-weight: var(--font-light);
}

.contacts-block--right-header {
    font-size: clamp(2rem, 2vw, 3rem);
    line-height: clamp(120%, 2vw, 140%);
    margin-bottom: var(--gap-base);
}

.contacts-block--right {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: var(--gap-base);
}

.contacts-block--right-photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--border-radius-base);
}

/* .contacts-block--text-2::before {
    content: " ";
    height: 0.5rem;
    width: 4rem;
    background: var(--secondary);
    display: block;
    position: absolute;
    top: 2rem;
    right: 0;
    border-radius: var(--xl);
} */

/* .contacts-block--right iframe {
    border-radius: var(--base);
    max-height: 100%;
} */

.contacts-block--items {
    margin-top: var(--xl);
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--md);
}

.contacts-block--items button {
    margin-top: var(--lg);
}

.contacts-block--item {
    display: flex;
    align-items: center;
    gap: var(--base);
    font-size: 1.4rem;
    font-weight: var(--font-light);
    text-transform: uppercase;
    background: var(--light);
    border-radius: var(--xxl);
    padding: var(--base) var(--md);
    width: fit-content;
    transition: var(--transition-base);
}

.contacts-block--item:hover {
    color: var(--light);
    background-color: var(--secondary);
}

.contacts-block--item a {
    color: var(--secondary);
    font-weight: var(--font-bold);
    transition: var(--transition-base);
}

.contacts-block--item:hover a {
    color: var(--light);
}

.contacts-block--item svg {
    width: 1.6rem;
    height: 1.6rem;
}

.contacts-block--item:hover svg {
    fill: var(--light);
    transition: var(--transition-base);
}

.contacts-block--bottom {
    margin-top: var(--gap-base);
    font-weight: var(--font-light);
    font-size: 1.2rem;
    line-height: 2.0;
}

.contacts-block--bottom ul {
    list-style-type: circle;
    padding-left: var(--base);
}

.contacts-block--bottom li {
    margin-left: var(--base);
}



@media only screen and (orientation: portrait) and (min-width: 1px) and (max-width: 999px) {
    .contacts-block--wrapper {
        grid-template-columns: 1fr;
    }

    .contacts-block--item {
        font-size: 1.2rem;
        padding: var(--base) var(--md);
    }

    .contacts-block--right {
        grid-template-columns: 1fr;
    }

    .contacts-block--text-1 {
        font-size: 2rem;
    }

}